如何安装 libffms2-dev Debian 9

在本教程中,我们学习如何安装 libffms2-dev Debian 9. libffms2-dev 是libffms2的开发文件

介绍

在本教程中我们学习如何安装 libffms2-dev 在 Debian 9.

什么是 libffms2-dev

libffms2-dev 是:

一个跨平台 ffmpeg 包装库,以及一些 ffmpeg 不能很好处理的附加内容。 更友好的 API 和简单的方式来表达“打开并解压缩它,我不在乎如何”。

该包包含编译和链接 libffms2 所需的头文件和其他文件。

有三种安装方法 libffms2-dev 在 Debian 9.我们可以使用 apt-get, aptaptitude。 在以下部分中,我们将描述每种方法。 您可以选择其中之一。

使用 apt-get 安装 libffms2-dev

更新 apt 数据库 apt-get 使用以下命令。

更新apt数据库后,我们可以安装 libffms2-dev 使用 apt-get 通过运行以下命令:

sudo apt-get -y install libffms2-dev

使用 apt 安装 libffms2-dev

更新 apt 数据库 apt 使用以下命令。

更新apt数据库后,我们可以安装 libffms2-dev 使用 apt 通过运行以下命令:

sudo apt -y install libffms2-dev

使用 aptitude 安装 libffms2-dev

如果您想遵循此方法,您可能需要先安装 aptitude,因为 aptitude 通常不会默认安装 Debian。 更新 apt 数据库 aptitude 使用以下命令。

更新apt数据库后,我们可以安装 libffms2-dev 使用 aptitude 通过运行以下命令:

sudo aptitude -y install libffms2-dev

如何卸载 libffms2-dev Debian 9

仅卸载 libffms2-dev 打包我们可以使用以下命令:

sudo apt-get remove libffms2-dev

卸载 libffms2-dev 及其依赖项

卸载 libffms2-dev 及其不再需要的依赖项 Debian 9、我们可以使用下面的命令:

sudo apt-get -y autoremove libffms2-dev

删除 libffms2-dev 配置和数据

去除 libffms2-dev 配置和数据来自 Debian 9.我们可以使用以下命令:

sudo apt-get -y purge libffms2-dev

删除 libffms2-dev 配置、数据及其所有依赖项

我们可以使用下面的命令来删除 libffms2-dev 配置、数据及其所有依赖项,我们可以使用以下命令:

sudo apt-get -y autoremove --purge libffms2-dev

依赖关系

libffms2-dev 具有以下依赖项:

参考

概括

在本教程中我们学习如何安装 libffms2-dev 封装在 Debian 9.使用不同的包管理工具: apt, apt-getaptitude